<?php

/**
 * Header header title element
 *
 * @since 3.0.0
 * @see Fixedtoc_Element
 */
class Fixedtoc_Element_Header_title extends Fixedtoc_Element {

	/**
	 * Set the tag name.
	 *
	 * @since 3.0.0
	 * @see Fixedtoc_Element
	 *
	 * @return void
	 */
	protected function set_tagname() {
		$this->tagname = fixedtoc_get_val( 'contents_header_title_tag' );
	}

	/**
	 * Set the attributes array.
	 *
	 * @since 3.0.0
	 * @see Fixedtoc_Element
	 *
	 * @return void
	 */
	protected function set_attrs() {
		$this->attrs = array(
			'id' => 'ftwp-header-title'
		);
	}

	/**
	 * Set the Content inner tags.
	 *
	 * @since 3.0.0
	 * @see Fixedtoc_Element
	 *
	 * @return void
	 */
	protected function set_content() {
		$this->content = apply_filters( 'fixedtoc_header_title', fixedtoc_get_val( 'contents_header_title' ) );

		// Don't show the contents title HTML if it is empty.
		if ( empty( $this->content ) ) {
			$this->tagname = '';
		}
	}

}